## net.sf.saxon.jdom
Class DocumentWrapper

    java.lang.Object
      |
      +--net.sf.saxon.jdom.NodeWrapper
            |
            +--net.sf.saxon.jdom.DocumentWrapper

All Implemented Interfaces:
  DocumentInfo, Item, NodeInfo, SiblingCountingNode, javax.xml.transform.Source, VirtualNode

public class DocumentWrapper
extends NodeWrapper
implements DocumentInfo

The root node of an XPath tree. (Or equivalently, the tree itself).

This class should have been named Root; it is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

Field Summary
`protected java.lang.String` `baseURI`
`protected Configuration` `config`
`protected int` `documentNumber`

Fields inherited from class net.sf.saxon.jdom.NodeWrapper
`docWrapper, index, node, nodeKind`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, LOCAL_NAMESPACES, NO_NAMESPACES`

Constructor Summary
`DocumentWrapper(org.jdom.Document doc, java.lang.String baseURI, Configuration config)` Create a Saxon wrapper for a JDOM document

Method Summary
`Configuration` `getConfiguration()` Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)
`int` `getDocumentNumber()` Get the unique document number
`NamePool` `getNamePool()` Get the name pool used for the names in this document
`java.lang.String[]` `getUnparsedEntity(java.lang.String name)` Get the unparsed entity with a given name
`NodeInfo` `selectID(java.lang.String id)` Get the element with a given ID, if any
`void` `setConfiguration(Configuration config)` Set the configuration (containing the name pool used for all names in this document)
`NodeInfo` `wrap(java.lang.Object node)` Wrap a node in the JDOM document.

Methods inherited from class net.sf.saxon.jdom.NodeWrapper

`compareOrder, copy, generateId, getAttributeValue, getBaseURI, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getSiblingPosition, getStringValue, getSystemId, getTypeAnnotation, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, isSameNodeInfo, iterateAxis, iterateAxis, makeWrapper, makeWrapper, outputNamespaceNodes, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`compareOrder, copy, generateId, getAttributeValue, getBaseURI, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, isSameNodeInfo, iterateAxis, iterateAxis, outputNamespaceNodes`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getTypedValue`

Field Detail

### config

    protected Configuration config

### baseURI

    protected java.lang.String baseURI

### documentNumber

    protected int documentNumber

Constructor Detail

### DocumentWrapper

    public DocumentWrapper(org.jdom.Document doc,
                           java.lang.String baseURI,
                           Configuration config)

  Create a Saxon wrapper for a JDOM document

Parameters:
  `doc` - The JDOM document
  `baseURI` - The base URI for all the nodes in the document

Method Detail

### wrap

    public NodeInfo wrap(java.lang.Object node)

  Wrap a node in the JDOM document.

  Parameters:
    `node` - The node to be wrapped. This must be a node in the same document (the system does not check for this).
  Returns:
    the wrapping NodeInfo object

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration (containing the name pool used for all names in this document)

  Specified by:
    `setConfiguration` in interface `DocumentInfo`
  Parameters:
    `config` - The configuration to be used

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)

  Specified by:
    `getConfiguration` in interface `DocumentInfo`

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `DocumentInfo`
  Overrides:
    `getNamePool` in class `NodeWrapper`
  Returns:
    the name pool in which all the names used in this document are registered

### getDocumentNumber

    public int getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `DocumentInfo`
  Overrides:
    `getDocumentNumber` in class `NodeWrapper`
  Returns:
    the unique number identifying this document within the name pool

### selectID

    public NodeInfo selectID(java.lang.String id)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
  Returns:
    null: JDOM does not provide any information about attribute types.

### getUnparsedEntity

    public java.lang.String[] getUnparsedEntity(java.lang.String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    null: JDOM does not provide access to unparsed entities